# default installtion locations (note these will be prefixed by ${CMAKE_INSTALL_PREFIX})
if(NOT LIBRARY_INSTALL_DIR)
    set(LIBRARY_INSTALL_DIR "lib")
endif(NOT LIBRARY_INSTALL_DIR)

if(NOT INCLUDE_INSTALL_DIR)
    set(INCLUDE_INSTALL_DIR "include/${PROJECT_NAME}")
endif(NOT INCLUDE_INSTALL_DIR)

if(NOT MODULES_INSTALL_DIR)
    set (MODULES_INSTALL_DIR "share/${PROJECT_NAME}")
endif(NOT MODULES_INSTALL_DIR)

if(NOT DOC_INSTALL_DIR)
    set (DOC_INSTALL_DIR ${MODULES_INSTALL_DIR}/doc)
endif(NOT DOC_INSTALL_DIR)

if(NOT BINARY_INSTALL_DIR)
    set(BINARY_INSTALL_DIR "bin")
endif(NOT BINARY_INSTALL_DIR)
